#!/bin/bash

/home/spdk-16.07/scripts/setup.sh
nvmeIds=`lspci | grep 'Non-Volatile memory' | awk '{print $1}'`
diskId=0

rm -rf /opt/fusionstack/data/disk/disk
mkdir -p /opt/fusionstack/data/disk/disk

for id in $nvmeIds;
do
{
        nvmeFile=/etc/pci:0000:$id
        touch $nvmeFile
        ln -s $nvmeFile /opt/fusionstack/data/disk/disk/$diskId.disk
        let diskId=$(($diskId + 1))
}
done

ls -l /opt/fusionstack/data/disk/disk
